import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (c, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, i) : t, o = c.length - 1, p; o >= 0; o--)
    (p = c[o]) && (e = (r ? p(t, i, e) : p(e)) || e);
  return r && e && g(t, i, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--resizeLarge", this.class = "c-pieIcon c-pieIcon--resizeLarge", this.name = "IconResizeLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--resizeLarge"><path d="M22.726 2.243V1L1 22.735h1.243z"></path><path d="M2.242 22.735h1.234l19.25-19.259V2.242z"></path><path d="M14.099 22.735h1.233l7.394-7.403V14.1z"></path><path d="m14.099 22.735 8.627-8.636v-1.234l-9.861 9.87z"></path></svg>`;
  }
};
l([
  a({ type: String, reflect: !0 })
], s.prototype, "size", 2);
l([
  a({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = l([
  f("icon-resize-large")
], s);
export {
  s as IconResizeLarge
};
